Skip to main content

Get quote

Get an existing quote by quote_id and institution_name.

Endpoint​

GET /quote

Query Parameters​

  • version (string, required) - API contract version. Use exactly 2024-10-01.
  • quote_id (string, required)
  • institution_name (string, required)

Header Parameters​

  • PW-subscription-key (string, required)
  • PW-origin-country (string, required)
  • PW-request-date (string, required) - UTC request timestamp formatted as YYYY-MM-DD HH:mm:ss.
  • PW-ip-address (string, required)
  • User-Agent (string, required)

Header Constraints​

KeyDescriptionExampleData typeRequirementField Length
PW-subscription-keyDeveloper key available after portal registration. Production key is shared on request.eed0d85c530c4b26a91d09b783d8fab3stringmandatory32
PW-origin-countryISO Alpha-2 country code where the transaction is created.TTstringmandatory2
PW-request-dateCurrent request timestamp. Format: YYYY-MM-DD HH:mm:ss (UTC).2014-10-08 16:01:31stringmandatory19
PW-ip-addressFixed institution IP used for PayWise network-level validation.255.255.255.255stringconditional8-16
User-AgentIn programmable environments, this avoids running into Cloudflare issues.Mozilla/5.0 (Windows NT 10.0; Win64; x64)stringmandatory255

Request Body​

No JSON request body.

Responses​

200 - Quote fetched successfully.​

{
"status": "success",
"code": 200,
"message": "Quote retrieved successfully.",
"rate": "7.1205",
"request_date": "2026-02-26T00:00:00.000Z",
"quote_date": "2026-02-26T16:40:00.000Z",
"amount_quoted": "1068.08",
"expire_date": "2026-02-26T16:45:00.000Z"
}

400 - Error response.​

{
"status": "error",
"code": 404,
"message": "Error: Quote not found."
}

Notes​

This endpoint page is generated from openapi/pw-wrappers.2024-10-01.yaml.